sc::CLKS(3)

NAME
sc::CLKS - This provides a Kohn-Sham implementation for closed-shell systems.

SYNOPSIS

#include <clks.h>

Inherits sc::CLSCF.

  Public Member Functions
CLKS (StateIn &)
CLKS (const Ref< KeyVal > &)
This KeyVal constructor reads the following keywords:.
void save_data_state (StateOut &)
Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them.
void print (std::ostream &o=ExEnv::out0()) const
Print information about the object.
void two_body_energy (double &ec, double &ex)
int value_implemented () const
Information about the availability of values, gradients, and hessians.
int gradient_implemented () const
RefSymmSCMatrix density ()
Returns the SO density.

  Protected Member Functions
void ao_fock (double accuracy)
double scf_energy ()
Ref< SCExtrapData > extrap_data ()
RefSymmSCMatrix effective_fock ()
Returns closed-shell Fock matrix in MO basis (including XC contribution for KS DFT).
void init_vector ()
void done_vector ()
void two_body_deriv (double *)

  Protected Attributes
Ref< DenIntegrator > integrator_
Ref< DenFunctional > functional_
RefSymmSCMatrix vxc_
double exc_

Detailed Description

This provides a Kohn-Sham implementation for closed-shell systems.

Constructor & Destructor Documentation

  sc::CLKS::CLKS (const Ref< KeyVal > &)

This KeyVal constructor reads the following keywords:.

integrator
    Specifies the DenIntegrator that will be used to integrate the density functional. The default is RadialAngularIntegrator.

functional
    Specifies the DenFunctional that will be used to compute the exchange/correlation contribution. This is no default.

Member Function Documentation

  void sc::CLKS::save_data_state (StateOut &) [virtual]

Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them.

This must be implemented by the derived class if the class has data.

Reimplemented from sc::CLSCF.

  int sc::CLKS::value_implemented () const [virtual]

Information about the availability of values, gradients, and hessians.

Reimplemented from sc::Function.

  RefSymmSCMatrix sc::CLKS::effective_fock () [protected, virtual]

Returns closed-shell Fock matrix in MO basis (including XC contribution for KS DFT).

Reimplemented from sc::CLSCF.

Author

Generated automatically by Doxygen for MPQC from the source code.